Page MenuHomePhabricator

MutableRevisionRecord: Bad value for parameter $visibility: must be a integer
Closed, ResolvedPublicPRODUCTION ERROR

Description

Error

MediaWiki version: 1.35.0-wmf.31

message
Bad value for parameter $visibility: must be a integer

Impact

Breaks when viewing a single User page on mediawiki.org which is currently a redirect.

Notes

Caused by rMWb6c6c325f9554d0ed2cc45b1ff4c54f68687062b

Details

Request ID
XrHGLQpAML8AAKy@e2QAAAAN
Request URL
https://www.mediawiki.org/wiki/User:Elian
Stack Trace
exception.trace
#0 /srv/mediawiki/php-1.35.0-wmf.31/includes/Revision/MutableRevisionRecord.php(220): Wikimedia\Assert\Assert::parameterType(array, string, string)
#1 /srv/mediawiki/php-1.35.0-wmf.31/includes/specials/SpecialNewpages.php(329): MediaWiki\Revision\MutableRevisionRecord->setVisibility(string)
#2 /srv/mediawiki/php-1.35.0-wmf.31/includes/specials/SpecialNewpages.php(353): SpecialNewpages->revisionFromRcResult(stdClass, Title)
#3 /srv/mediawiki/php-1.35.0-wmf.31/includes/specials/pagers/NewPagesPager.php(166): SpecialNewpages->formatRow(stdClass)
#4 /srv/mediawiki/php-1.35.0-wmf.31/includes/pager/IndexPager.php(585): NewPagesPager->formatRow(stdClass)
#5 /srv/mediawiki/php-1.35.0-wmf.31/includes/specials/SpecialNewpages.php(170): IndexPager->getBody()
#6 /srv/mediawiki/php-1.35.0-wmf.31/includes/specialpage/SpecialPage.php(576): SpecialNewpages->execute(string)
#7 /srv/mediawiki/php-1.35.0-wmf.31/includes/specialpage/SpecialPageFactory.php(618): SpecialPage->run(string)
#8 /srv/mediawiki/php-1.35.0-wmf.31/includes/specialpage/SpecialPageFactory.php(676): MediaWiki\SpecialPage\SpecialPageFactory->executePath(Title, RequestContext, boolean, MediaWiki\Linker\LinkRenderer)
#9 /srv/mediawiki/php-1.35.0-wmf.31/includes/parser/Parser.php(3123): MediaWiki\SpecialPage\SpecialPageFactory->capturePath(Title, RequestContext, MediaWiki\Linker\LinkRenderer)
#10 /srv/mediawiki/php-1.35.0-wmf.31/includes/parser/PPFrame_Hash.php(253): Parser->braceSubstitution(array, PPFrame_Hash)
#11 /srv/mediawiki/php-1.35.0-wmf.31/includes/parser/Parser.php(2867): PPFrame_Hash->expand(PPNode_Hash_Tree, integer)
#12 /srv/mediawiki/php-1.35.0-wmf.31/includes/parser/Parser.php(1553): Parser->replaceVariables(string)
#13 /srv/mediawiki/php-1.35.0-wmf.31/includes/parser/Parser.php(640): Parser->internalParse(string)
#14 /srv/mediawiki/php-1.35.0-wmf.31/includes/content/WikitextContent.php(368): Parser->parse(string, Title, ParserOptions, boolean, boolean, integer)
#15 /srv/mediawiki/php-1.35.0-wmf.31/includes/content/AbstractContent.php(565): WikitextContent->fillParserOutput(Title, integer, ParserOptions, boolean, ParserOutput)
#16 /srv/mediawiki/php-1.35.0-wmf.31/includes/Revision/RenderedRevision.php(267): AbstractContent->getParserOutput(Title, integer, ParserOptions, boolean)
#17 /srv/mediawiki/php-1.35.0-wmf.31/includes/Revision/RenderedRevision.php(236): MediaWiki\Revision\RenderedRevision->getSlotParserOutputUncached(WikitextContent, boolean)
#18 /srv/mediawiki/php-1.35.0-wmf.31/includes/Revision/RevisionRenderer.php(215): MediaWiki\Revision\RenderedRevision->getSlotParserOutput(string)
#19 /srv/mediawiki/php-1.35.0-wmf.31/includes/Revision/RevisionRenderer.php(152): MediaWiki\Revision\RevisionRenderer->combineSlotOutput(MediaWiki\Revision\RenderedRevision, array)
#20 [internal function]: MediaWiki\Revision\RevisionRenderer->MediaWiki\Revision\{closure}(MediaWiki\Revision\RenderedRevision, array)
#21 /srv/mediawiki/php-1.35.0-wmf.31/includes/Revision/RenderedRevision.php(198): call_user_func(Closure, MediaWiki\Revision\RenderedRevision, array)
#22 /srv/mediawiki/php-1.35.0-wmf.31/includes/poolcounter/PoolWorkArticleView.php(204): MediaWiki\Revision\RenderedRevision->getRevisionParserOutput()
#23 /srv/mediawiki/php-1.35.0-wmf.31/includes/poolcounter/PoolCounterWork.php(128): PoolWorkArticleView->doWork()
#24 /srv/mediawiki/php-1.35.0-wmf.31/includes/page/Article.php(806): PoolCounterWork->execute()
#25 /srv/mediawiki/php-1.35.0-wmf.31/includes/actions/ViewAction.php(74): Article->view()
#26 /srv/mediawiki/php-1.35.0-wmf.31/includes/MediaWiki.php(519): ViewAction->show()
#27 /srv/mediawiki/php-1.35.0-wmf.31/includes/MediaWiki.php(305): MediaWiki->performAction(Article, Title)
#28 /srv/mediawiki/php-1.35.0-wmf.31/includes/MediaWiki.php(973): MediaWiki->performRequest()
#29 /srv/mediawiki/php-1.35.0-wmf.31/includes/MediaWiki.php(535): MediaWiki->main()
#30 /srv/mediawiki/php-1.35.0-wmf.31/index.php(47): MediaWiki->run()
#31 /srv/mediawiki/w/index.php(3): require(string)
#32 {main}

Event Timeline

brennen created this task.May 5 2020, 8:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 5 2020, 8:30 PM
brennen renamed this task from Bad value for parameter $visibility: must be a integer to MutableRevisionRecord: Bad value for parameter $visibility: must be a integer.May 5 2020, 9:01 PM
brennen added a project: User-brennen.

Change 594571 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] SpecialNewpages::revisionFromRcResult - cast visibility as integer

https://gerrit.wikimedia.org/r/594571

DannyS712 moved this task from Unsorted to In progress on the User-DannyS712 board.
brennen triaged this task as Unbreak Now! priority.May 5 2020, 9:22 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMay 5 2020, 9:22 PM

Change 594574 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@wmf/1.35.0-wmf.31] SpecialNewpages::revisionFromRcResult - cast visibility as integer

https://gerrit.wikimedia.org/r/594574

DannyS712 claimed this task.May 5 2020, 9:39 PM
DannyS712 updated the task description. (Show Details)May 5 2020, 9:50 PM

Change 594574 merged by jenkins-bot:
[mediawiki/core@wmf/1.35.0-wmf.31] SpecialNewpages::revisionFromRcResult - cast visibility as integer

https://gerrit.wikimedia.org/r/594574

Mentioned in SAL (#wikimedia-operations) [2020-05-05T21:55:37Z] <reedy@deploy1001> Synchronized php-1.35.0-wmf.31/includes/specials/SpecialNewpages.php: T251950 (duration: 01m 06s)

DannyS712 closed this task as Resolved.May 5 2020, 9:56 PM
DannyS712 removed a project: Patch-For-Review.

https://www.mediawiki.org/wiki/User:Elian doesn't produce errors anymore

Change 594571 merged by jenkins-bot:
[mediawiki/core@master] SpecialNewpages::revisionFromRcResult - cast visibility as integer

https://gerrit.wikimedia.org/r/594571

brennen moved this task from Backlog to Done / Defunct on the User-brennen board.May 12 2020, 4:51 PM